<?php
/**
 * VW Dark: Block Patterns
 *
 * @package VW Dark
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'vw-dark',
		array( 'label' => __( 'VW Dark', 'vw-dark' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'vw-dark/banner-section',
		array(
			'title'      => __( 'Banner Section', 'vw-dark' ),
			'categories' => array( 'vw-dark' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/slider.png\",\"id\":4524,\"dimRatio\":50,\"align\":\"full\",\"className\":\"banner-section px-md-5\"} -->\n<div class=\"wp-block-cover alignfull banner-section px-md-5\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-4524\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/slider.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"className\":\"banner-content mx-lg-5\"} -->\n<div class=\"wp-block-columns banner-content mx-lg-5\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"fontSize\":\"14px\"},\"color\":{\"text\":\"#b3adad\"}}} -->\n<p class=\"has-text-color\" style=\"color:#b3adad;font-size:14px;font-style:normal;font-weight:500\">Black &amp; White</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"textTransform\":\"uppercase\",\"fontSize\":\"35px\"}},\"textColor\":\"white\"} -->\n<h2 class=\"has-white-color has-text-color\" style=\"font-size:35px;font-style:normal;font-weight:500;text-transform:uppercase\">Lorem ipsum dolor sit amet, consectetur adipiscing elit</h2>\n<!-- /wp:heading -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"border\":{\"radius\":\"0px\"}},\"className\":\"is-style-outline\",\"fontSize\":\"small\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline has-small-font-size\"><a class=\"wp-block-button__link\" style=\"border-radius:0px\" rel=\"#\">SEE MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:social-links {\"iconColor\":\"white\",\"iconColorValue\":\"#ffffff\",\"className\":\"is-style-logos-only\"} -->\n<ul class=\"wp-block-social-links has-icon-color is-style-logos-only\" id=\"mt-5\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"vimeo\"} /--></ul>\n<!-- /wp:social-links --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'vw-dark/about-section',
		array(
			'title'      => __( 'About Section', 'vw-dark' ),
			'categories' => array( 'vw-dark' ),
			'content'    => "<!-- wp:columns {\"className\":\"about-section py-5\"} -->\n<div class=\"wp-block-columns about-section py-5\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":4523,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/about-image.png\" alt=\"\" class=\"wp-image-4523\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"pe-lg-5\"} -->\n<div class=\"wp-block-column pe-lg-5\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"textTransform\":\"uppercase\"},\"color\":{\"text\":\"#2a2a2a\"}},\"className\":\"small-title\"} -->\n<p class=\"small-title has-text-color\" style=\"color:#2a2a2a;font-size:15px;font-style:normal;font-weight:600;text-transform:uppercase\">About Us</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"30px\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\"},\"color\":{\"text\":\"#2a2a2a\"}},\"className\":\"pe-lg-5 mb-4\"} -->\n<h3 class=\"pe-lg-5 mb-4 has-text-color\" style=\"color:#2a2a2a;font-size:30px;font-style:normal;font-weight:500;text-transform:uppercase\">Who We are? And what we do</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#6a6a6a\"},\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#6a6a6a;font-size:14px\">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"text\":\"#2a2a2a\"}},\"className\":\"is-style-outline\",\"fontSize\":\"small\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline has-small-font-size\"><a class=\"wp-block-button__link has-text-color\" style=\"color:#2a2a2a\">SEE MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:columns {\"className\":\"experience-box mt-4\"} -->\n<div class=\"wp-block-columns experience-box mt-4\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"33.33%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:33.33%\"><!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"65px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#2a2a2a\"}},\"className\":\"experience-number mb-md-0\"} -->\n<p class=\"has-text-align-center experience-number mb-md-0 has-text-color\" style=\"color:#2a2a2a;font-size:65px;font-style:normal;font-weight:700\">69</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:66.66%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#2a2a2a\"},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"className\":\"experience-text pe-lg-5 mb-0\",\"fontSize\":\"medium\"} -->\n<p class=\"experience-text pe-lg-5 mb-0 has-text-color has-medium-font-size\" style=\"color:#2a2a2a;font-style:normal;font-weight:600\">We have 69+ years of Experience</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->",
		)
	);
}